# Filename: point_distance.py
# Purpose:  Find the distance between two points.
# Returns:  Double.

from maptek import vulcan_gui

# create two separate point objects
pick1 = vulcan_gui.pick_point() # creates a point object
pick1.set_single_point() # set property to select only one point
pt1 = pick1.pick('Pick first point') # pick the point

pick2 = vulcan_gui.pick_point() # creates a point object
pick2.set_single_point() # set property to select only one point
pt2 = pick2.pick('Pick second point') # pick the point

# determine the distance between the two points
print(f"Distance between points: {pt1[0].distance(pt2[0])}")